﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows;

namespace _277632_RadioButton
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.myListBox.ItemsSource = GenerateData();
		}

		public List<DataItem> GenerateData()
		{
			List<DataItem> result = new List<DataItem>();

			for (int i = 0; i < 5; i++)
			{
				DataItem item = new DataItem()
				{
					Content = String.Format("Content {0}", i)
				};
				result.Add(item);
			}
			return result;
		}

		private void myListBox_SelectionChanged(object sender, System.Windows.Controls.SelectionChangedEventArgs e)
		{
			ListBox lb = (sender as ListBox);

			myTextBlock.Text = (lb.SelectedItem as DataItem).Content;
			myButton.IsOpen = false;
		}

	}
	public class DataItem
	{
		public string Content { get; set; }
	}
}
